账号密码登录
微信安全登录
微信扫描二维码登录

登录后绑定QQ、微信即可实现信息互通

手机验证码登录
找回密码返回
邮箱找回 手机找回
注册账号返回
其他登录方式
分享
  • 收藏
    X
    python 中使用fakeuseragent 报错
    27
    0
    Error occurred during loading data. Trying to use cache server http://d2g6u4gh6d9rq0.cloudfront.net/browsers/fake_useragent_0.1.10.json
    Traceback (most recent call last):
      File "/usr/lib64/python3.4/urllib/request.py", line 1183, in do_open
        h.request(req.get_method(), req.selector, req.data, headers)
      File "/usr/lib64/python3.4/http/client.py", line 1137, in request
        self._send_request(method, url, body, headers)
      File "/usr/lib64/python3.4/http/client.py", line 1182, in _send_request
        self.endheaders(body)
      File "/usr/lib64/python3.4/http/client.py", line 1133, in endheaders
        self._send_output(message_body)
      File "/usr/lib64/python3.4/http/client.py", line 963, in _send_output
        self.send(msg)
      File "/usr/lib64/python3.4/http/client.py", line 898, in send
        self.connect()
      File "/usr/lib64/python3.4/http/client.py", line 1279, in connect
        super().connect()
      File "/usr/lib64/python3.4/http/client.py", line 871, in connect
        self.timeout, self.source_address)
      File "/usr/lib64/python3.4/socket.py", line 516, in create_connection
        raise err
      File "/usr/lib64/python3.4/socket.py", line 507, in create_connection
        sock.connect(sa)
    socket.timeout: timed out
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.4/site-packages/fake_useragent/utils.py", line 67, in get
        context=context,
      File "/usr/lib64/python3.4/urllib/request.py", line 161, in urlopen
        return opener.open(url, data, timeout)
      File "/usr/lib64/python3.4/urllib/request.py", line 464, in open
        response = self._open(req, data)
      File "/usr/lib64/python3.4/urllib/request.py", line 482, in _open
        '_open', req)
      File "/usr/lib64/python3.4/urllib/request.py", line 442, in _call_chain
        result = func(*args)
      File "/usr/lib64/python3.4/urllib/request.py", line 1226, in https_open
        context=self._context, check_hostname=self._check_hostname)
      File "/usr/lib64/python3.4/urllib/request.py", line 1185, in do_open
        raise URLError(err)
    urllib.error.URLError: <urlopen error timed out>
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.4/site-packages/fake_useragent/utils.py", line 154, in load
        for item in get_browsers(verify_ssl=verify_ssl):
      File "/usr/lib/python3.4/site-packages/fake_useragent/utils.py", line 97, in get_browsers
        html = get(settings.BROWSERS_STATS_PAGE, verify_ssl=verify_ssl)
      File "/usr/lib/python3.4/site-packages/fake_useragent/utils.py", line 84, in get
        raise FakeUserAgentError('Maximum amount of retries reached')
    fake_useragent.errors.FakeUserAgentError: Maximum amount of retries reached
    
    
    0
    打赏
    收藏
    点击回答
        全部回答
    • 0
    更多回答
    扫一扫访问手机版

    回答动态

    师傅被妖怪抓走了:发布了悬赏问题火爆全网的“元宇宙”到底是什么?预计能赚取 1积分收益
    酒后略带风情:发布了悬赏问题Android内存中Graphics与Code占用过高预计能赚取 10积分收益
    扛起拖把扫天下:发布了悬赏问题typescript如何导出接口配置?求解,谢谢!预计能赚取 10积分收益
    发布了悬赏问题Vue 如何改变返回页面的路径?如让B页面只能返回到A页面.预计能赚取 11积分收益
    发布了悬赏问题vue H5移动端;底部bottom固定定位,安卓弹起键盘导致页面变形如何解决?预计能赚取 10积分收益
    发布了悬赏问题请问为什么tomcat8.5 GET请求中文正常,POST请求还需要设置UTF-8.预计能赚取 10积分收益
    发布了悬赏问题vue2.5+ts创建以及引入jq的方法预计能赚取 11积分收益
    情场浪女:发布了悬赏问题import ggplot时报错module 'pandas' has no attribute 'tslib'预计能赚取 10积分收益
    见心书画许老师18753375161:发布了悬赏问题echarts3 legend禁止点击事件,允许悬浮事件预计能赚取 11积分收益
    aa_92cb0bd09f:发布了悬赏问题codewar上的一个问题预计能赚取 11积分收益